中危 Jupyter Notebook 至 5.7.6 Login Page 重定向漏洞

CVE编号

CVE-2019-10255

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-03-29
漏洞描述
Jupyter Notebook是一套用于创建、共享代码和说明性文本文档的开源Web应用程序。JupyterHub是一款用于Jupyter的多用户服务器。
Jupyter Notebook 5.7.7之前版本和JupyterHub 0.9.5之前版本中存在开放重定向漏洞。攻击者可借助特制的链接利用该漏洞将用户重定向到恶意的网站。

解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://blog.jupyter.org/open-redirect-vulnerability-in-jupyter-jupyterhub-adf43583f1e4
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 jupyter jupyterhub * Up to
(excluding)
0.9.5
运行在以下环境
应用 jupyter notebook * Up to
(excluding)
5.7.7
运行在以下环境
系统 debian_9 jupyter-notebook * Up to
(including)
4.2.3-4
运行在以下环境
系统 fedora_29 jupyter-notebook * Up to
(excluding)
5.7.8-1.fc29
运行在以下环境
系统 fedora_30 jupyter-notebook * Up to
(excluding)
5.7.8-1.fc30
阿里云评分
4.9
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-601 指向未可信站点的URL重定向(开放重定向)
阿里云安全产品覆盖情况